> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bungee.exchange/llms.txt
> Use this file to discover all available pages before exploring further.

# Search or import tokens



## OpenAPI

````yaml https://public-backend.bungee.exchange/swagger-json get /api/v1/tokens/search
openapi: 3.0.0
info:
  title: Bungee API Explorer
  description: API Endpoints for Bungee Exchange
  version: '1.0'
  contact: {}
servers:
  - url: https://public-backend.bungee.exchange
    description: Public Sandbox
  - url: https://dedicated-backend.bungee.exchange
    description: Dedicated Backend
  - url: https://backend.bungee.exchange
    description: Frontend/Direct
security: []
tags: []
paths:
  /api/v1/tokens/search:
    get:
      tags:
        - Token
      summary: Search or import tokens
      operationId: TokenController_searchToken_v1
      parameters:
        - name: q
          required: true
          in: query
          description: >-
            Search query for token address, name or symbol. Does partial
            matching too
          schema:
            example: ETH
            type: string
        - name: userAddress
          required: false
          in: query
          description: User wallet address
          schema:
            example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
            type: string
      responses:
        '200':
          description: Returns the list of tokens with that query by chain.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/SuccessResponseDto'
                  - properties:
                      result:
                        $ref: '#/components/schemas/TokenListDto'
components:
  schemas:
    SuccessResponseDto:
      type: object
      properties:
        success:
          type: boolean
          description: flag indicating whether the req was successful
          default: true
        statusCode:
          type: number
          description: Http status code
          default: 200
        message:
          type: string
          description: error message if request failed
          nullable: true
      required:
        - success
        - statusCode
    TokenListDto:
      type: object
      properties:
        tokens:
          type: object
          description: networkId and associated tokens
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/TokenExtDto'
          example:
            '56':
              - chainId: 56
                address: '0x007ea5c0ea75a8df45d288a4debdd5bb633f9e56'
                name: CanYaCoin
                symbol: CAN
                decimals: 18
                logoURI: null
                tags: []
                isShortListed: true
                balance: '0'
                balanceInUsd: 0
                isVerified: false
            '137':
              - chainId: 137
                address: '0x0266f4f08d82372cf0fcbccc0ff74309089c74d1'
                name: Rocket Pool ETH
                symbol: RETH
                decimals: 18
                logoURI: >-
                  https://assets.coingecko.com/coins/images/20764/large/reth.png?1696520159
                tags: []
                isShortListed: true
                balance: '0'
                balanceInUsd: 0
                isVerified: true
      required:
        - tokens
    TokenExtDto:
      type: object
      properties:
        chainId:
          type: number
          description: chainId of the network
        address:
          type: string
          description: ENS address of the token
        name:
          type: string
          description: name of the token
        symbol:
          type: string
          description: symbol of the token
        decimals:
          type: number
          description: token decimals
        logoURI:
          type: string
          description: image url of the token
        isShortListed:
          type: boolean
          description: boolean flag indicating whether token is verified or not
        trendingRank:
          type: number
          description: Token trending rank
        marketCap:
          type: number
          description: Token market cap
        totalVolume:
          type: number
          description: Token total trading volume
        balance:
          type: string
          description: >-
            Amount in wei, if the user address is provided. If the user address
            is not provided, default value is 0
        balanceInUsd:
          type: number
          description: >-
            Equivalent value in USD, if the user address is provided. If the
            user address is not provided, default value is 0
        tags:
          description: metadata tags
          type: array
          items:
            type: string
        isVerified:
          type: boolean
          description: Whether the token is verified or not
      required:
        - chainId
        - address
        - name
        - symbol
        - decimals
        - isShortListed
        - balance
        - balanceInUsd
        - isVerified

````